Skip to main content
GET
/
organizations
/
{organization_id}
/
customers
List customers
curl --request GET \
  --url https://api.example.com/organizations/{organization_id}/customers/ \
  --header 'X-Initdesk-Token: <api-key>'
{
  "count": 123,
  "results": [
    {
      "id": 123,
      "name": "<string>",
      "email": "jsmith@example.com",
      "is_spam": true
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://developers.initdesk.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Initdesk-Token
string
header
required

Path Parameters

organization_id
string
required

Query Parameters

ordering
string

Which field to use when ordering the results.

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Filter customers by keyword. Matches name and email case-insensitively; accents are ignored (e.g. search Leo matches Léo).

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"